Refund
Request URL: POST
/api/refund
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
uniqueId | String(128) | Required | Original transaction unique ID returned by the system |
amount | Number(12,3) | Required | Refund amount |
refundTransactionId | String(128) | Required | Merchant refund ID |
remark | String(255) | Optional | Refund remarks |
Request Example
json
{
"uniqueId": 160402055925403481,
"refundTransactionId": "1234567890123456",
"amount": 39.1,
"remark": "request refund"
}Return to the instance
The refund request was successful
json
{
"code": 110,
"refundTransactionId": "1677816791",
"uniqueId": "1631507932124540930",
"refundUniqueId": "1631507992681902081",
"refundCurrency": "USD",
"refundAmount": "1.00",
"refundRequestAt": "2023-03-03 13:59:15",
"refundAt": "2023-03-03 14:02:01",
"message": "Refund request successful",
"timestamp": 1677816792069
}The refund request failed
json
{
"code": 112,
"message": "The refund amount is greater than the transaction amount",
"timestamp": 1677816881662
}